SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUShadowInfoRef Struct Reference

Used to get and set values in a shadow info object. More...

`#include <SketchUpAPI/model/shadow_info.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUShadowInfoGetNumKeys (SUShadowInfoRef shadow_info, size_t *count)
| Gets the number of available shadow info keys. More...
enum SUResult | SUShadowInfoGetKeys (SUShadowInfoRef shadow_info, size_t len, SUStringRef keys[], size_t *count)
| Retrieves keys associated with the shadow options object. More...
enum SUResult | SUShadowInfoGetValue (SUShadowInfoRef shadow_info, const char *key, SUTypedValueRef *value_out)
| Retrieves a value from a shadow info object. More...
enum SUResult | SUShadowInfoSetValue (SUShadowInfoRef shadow_info, const char *key, SUTypedValueRef value_in)
| Sets a value on a shadow info object. More...

## Detailed Description

Used to get and set values in a shadow info object.

Since
  SketchUp 2015, API 3.0

## Friends And Related Function Documentation

enum SUResult SUShadowInfoGetKeys | ( | SUShadowInfoRef | shadow_info,
|  | size_t | len,
|  | SUStringRef | keys[],
|  | size_t * | count
| ) |  |
| related

Retrieves keys associated with the shadow options object.

Since
  SketchUp 2015, API 3.0

Parameters

  [in] | shadow_info | The shadow_info object.
  [in] | len | The number of keys to retrieve.
  [out] | keys | The keys retrieved.
  [out] | count | The number of keys retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if shadow_info is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if keys or count is NULL
  - SU_ERROR_INVALID_OUTPUT if any of the strings in the keys array are invalid.

enum SUResult SUShadowInfoGetNumKeys | ( | SUShadowInfoRef | shadow_info,
|  | size_t * | count
| ) |  |
| related

Gets the number of available shadow info keys.

Since
  SketchUp 2015, API 3.0

Parameters

  [in] | shadow_info | The shadow info object.
  [out] | count | The number of keys available.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if shadow_info is not valid
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUShadowInfoGetValue | ( | SUShadowInfoRef | shadow_info,
|  | const char * | key,
|  | SUTypedValueRef * | value_out
| ) |  |
| related

Retrieves a value from a shadow info object.

Since
  SketchUp 2015, API 3.0

Parameters

  [in] | shadow_info | The shadow info object.
  [in] | key | The key. Assumed to be UTF-8 encoded.
  [out] | value_out | The value retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if shadow_info is an invalid object
  - SU_ERROR_NULL_POINTER_INPUT if key is NULL
  - SU_ERROR_INVALID_OUTPUT if value_out is an invalid object
  - SU_ERROR_NULL_POINTER_OUTPUT if value_out is NULL
  - SU_ERROR_NO_DATA if the key does not exist

The list of shadow information keys is shown below.

- City (in Model Info > Geo-location > Set Manual Location...) Note that 'City' is called 'Location' in the UI
- Country (in Model Info > Geo-location > Set Manual Location...)
- Dark (in Window > Shadows)
- DayOfYear
- DaylightSavings
- DisplayNorth (in View > Toolbars > Solar North) Note that 'Toolbar' is called 'Tool Palettes' on Mac
- DisplayOnAllFaces (in Window > Shadows)
- DisplayOnGroundPlane (in Window > Shadows)
- DisplayShadows (in Window > Shadows)
- EdgesCastShadows (in Window > Shadows)
- Latitude (in Model Info > Geo-location > Set Manual Location...)
- Light (in Window > Shadows)
- Longitude (in Model Info > Geo-location > Set Manual Location...)
- NorthAngle (in View > Toolbars > Solar North) Note that 'Toolbar' is called 'Tool Palettes' on Mac
- ShadowTime (in Window > Shadows)
- ShadowTime_time_t (ShadowTime in Epoch time)
- SunDirection (Generated based on ShadowTime)
- SunRise (Generated based on ShadowTime)
- SunRise_time_t (SunRise in Epoch time)
- SunSet (Generated based on ShadowTime)
- SunSet_time_t (SunSet in Epoch time)
- TZOffset (in Window > Shadows)
- UseSunForAllShading (in Window > Shadows)

enum SUResult SUShadowInfoSetValue | ( | SUShadowInfoRef | shadow_info,
|  | const char * | key,
|  | SUTypedValueRef | value_in
| ) |  |
| related

Sets a value on a shadow info object.

Since
  SketchUp 2015, API 3.0

Parameters

  [in] | shadow_info | The shadow info object.
  [in] | key | The key. Assumed to be UTF-8 encoded.
  [in] | value_in | The value used to set the shadow info option is set to.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if shadow_info or value_in is an invalid object
  - SU_ERROR_NULL_POINTER_INPUT if key is NULL
  - SU_ERROR_NO_DATA if the key does not exist

The list of shadow information keys is shown below.

- City (in Model Info > Geo-location > Set Manual Location...) Note that 'City' is called 'Location' in the UI
- Country (in Model Info > Geo-location > Set Manual Location...)
- Dark (in Window > Shadows)
- DayOfYear
- DaylightSavings
- DisplayNorth (in View > Toolbars > Solar North) Note that 'Toolbar' is called 'Tool Palettes' on Mac
- DisplayOnAllFaces (in Window > Shadows)
- DisplayOnGroundPlane (in Window > Shadows)
- DisplayShadows (in Window > Shadows)
- EdgesCastShadows (in Window > Shadows)
- Latitude (in Model Info > Geo-location > Set Manual Location...)
- Light (in Window > Shadows)
- Longitude (in Model Info > Geo-location > Set Manual Location...)
- NorthAngle (in View > Toolbars > Solar North) Note that 'Toolbar' is called 'Tool Palettes' on Mac
- ShadowTime (in Window > Shadows)
- ShadowTime_time_t (ShadowTime in Epoch time)
- SunDirection (Generated based on ShadowTime)
- SunRise (Generated based on ShadowTime)
- SunRise_time_t (SunRise in Epoch time)
- SunSet (Generated based on ShadowTime)
- SunSet_time_t (SunSet in Epoch time)
- TZOffset (in Window > Shadows)
- UseSunForAllShading (in Window > Shadows)

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/shadow_info.h